Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/HeuristicLab.Hive.Slave.Console-3.3.csproj
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/HeuristicLab.Hive.Slave.Console-3.3.csproj	(revision 4252)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/HeuristicLab.Hive.Slave.Console-3.3.csproj	(revision 4253)
@@ -9,6 +9,6 @@
     <OutputType>Library</OutputType>
     <AppDesignerFolder>Properties</AppDesignerFolder>
-    <RootNamespace>HeuristicLab.Hive.Client.Console</RootNamespace>
-    <AssemblyName>HeuristicLab.Hive.Client.Console-3.3</AssemblyName>
+    <RootNamespace>HeuristicLab.Hive.Slave.Console</RootNamespace>
+    <AssemblyName>HeuristicLab.Hive.Slave.Console-3.3</AssemblyName>
     <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
     <FileAlignment>512</FileAlignment>
@@ -78,4 +78,5 @@
   </PropertyGroup>
   <ItemGroup>
+    <Reference Include="HeuristicLab.Calendar-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL" />
     <Reference Include="HeuristicLab.PluginInfrastructure-3.3">
       <HintPath>..\..\..\..\..\..\..\..\..\Programme\HeuristicLab 3.3\HeuristicLab.PluginInfrastructure-3.3.dll</HintPath>
@@ -108,16 +109,16 @@
   </ItemGroup>
   <ItemGroup>
-    <Compile Include="HiveClientConsole.cs">
+    <Compile Include="HiveSlaveConsole.cs">
       <SubType>Form</SubType>
     </Compile>
-    <Compile Include="HiveClientConsole.designer.cs">
-      <DependentUpon>HiveClientConsole.cs</DependentUpon>
-    </Compile>
-    <Compile Include="HeuristicLabHiveClientConsolePlugin.cs" />
-    <Compile Include="HeuristicLabHiveClientConsoleApplication.cs" />
+    <Compile Include="HiveSlaveConsole.designer.cs">
+      <DependentUpon>HiveSlaveConsole.cs</DependentUpon>
+    </Compile>
+    <Compile Include="HeuristicLabHiveSlaveConsolePlugin.cs" />
+    <Compile Include="HeuristicLabHiveSlaveConsoleApplication.cs" />
     <Compile Include="LogFileReader.cs" />
     <Compile Include="Properties\AssemblyInfo.cs" />
-    <EmbeddedResource Include="HiveClientConsole.resx">
-      <DependentUpon>HiveClientConsole.cs</DependentUpon>
+    <EmbeddedResource Include="HiveSlaveConsole.resx">
+      <DependentUpon>HiveSlaveConsole.cs</DependentUpon>
       <SubType>Designer</SubType>
     </EmbeddedResource>
@@ -155,5 +156,5 @@
       <DependentUpon>Recurrence.cs</DependentUpon>
     </Compile>
-    <Compile Include="Service References\ClientService\Reference.cs">
+    <Compile Include="Service References\SlaveService\Reference.cs">
       <AutoGen>True</AutoGen>
       <DesignTime>True</DesignTime>
@@ -162,8 +163,4 @@
   </ItemGroup>
   <ItemGroup>
-    <ProjectReference Include="..\..\HeuristicLab.Calendar\3.3\HeuristicLab.Calendar-3.3.csproj">
-      <Project>{D17A4D6A-4CAA-4470-8A19-F42463C021FD}</Project>
-      <Name>HeuristicLab.Calendar-3.3</Name>
-    </ProjectReference>
     <ProjectReference Include="..\..\HeuristicLab.Hive.Contracts\3.3\HeuristicLab.Hive.Contracts-3.3.csproj">
       <Project>{134F93D7-E7C8-4ECD-9923-7F63259A60D8}</Project>
@@ -176,12 +173,23 @@
   <ItemGroup>
     <None Include="Resources\Info.png" />
-    <None Include="Service References\ClientService\HeuristicLab.Calendar.xsd">
-      <SubType>Designer</SubType>
-    </None>
-    <None Include="Service References\ClientService\HeuristicLab.Hive.Client.Common.xsd" />
-    <None Include="Service References\ClientService\HeuristicLab.Hive.Client.Core.ClientConsoleService.xsd" />
-    <None Include="Service References\ClientService\service.wsdl" />
-    <None Include="Service References\ClientService\service.xsd" />
-    <None Include="Service References\ClientService\service1.xsd" />
+    <None Include="Service References\SlaveService\HeuristicLab.Calendar.xsd">
+      <SubType>Designer</SubType>
+    </None>
+    <None Include="Service References\SlaveService\HeuristicLab.Hive.Slave.Common1.xsd">
+      <SubType>Designer</SubType>
+    </None>
+    <None Include="Service References\SlaveService\HeuristicLab.Hive.Slave.Console.SlaveService.ConnectionContainer.datasource">
+      <DependentUpon>Reference.svcmap</DependentUpon>
+    </None>
+    <None Include="Service References\SlaveService\HeuristicLab.Hive.Slave.Console.SlaveService.StatusCommons.datasource">
+      <DependentUpon>Reference.svcmap</DependentUpon>
+    </None>
+    <None Include="Service References\SlaveService\HeuristicLab.Hive.Slave.Core.ClientConsoleService1.xsd">
+      <SubType>Designer</SubType>
+    </None>
+    <None Include="Service References\SlaveService\HeuristicLab.Hive.Slave.Core.SlaveConsoleService.xsd" />
+    <None Include="Service References\SlaveService\service.wsdl" />
+    <None Include="Service References\SlaveService\service.xsd" />
+    <None Include="Service References\SlaveService\service1.xsd" />
   </ItemGroup>
   <ItemGroup>
@@ -189,20 +197,14 @@
   </ItemGroup>
   <ItemGroup>
-    <WCFMetadataStorage Include="Service References\ClientService\" />
-  </ItemGroup>
-  <ItemGroup>
-    <None Include="Service References\ClientService\configuration91.svcinfo" />
-  </ItemGroup>
-  <ItemGroup>
-    <None Include="Service References\ClientService\configuration.svcinfo" />
-  </ItemGroup>
-  <ItemGroup>
-    <None Include="Service References\ClientService\HeuristicLab.Hive.Client.Console.ClientService.ConnectionContainer.datasource">
-      <DependentUpon>Reference.svcmap</DependentUpon>
-    </None>
-    <None Include="Service References\ClientService\HeuristicLab.Hive.Client.Console.ClientService.StatusCommons.datasource">
-      <DependentUpon>Reference.svcmap</DependentUpon>
-    </None>
-    <None Include="Service References\ClientService\Reference.svcmap">
+    <WCFMetadataStorage Include="Service References\SlaveService\" />
+  </ItemGroup>
+  <ItemGroup>
+    <None Include="Service References\SlaveService\configuration91.svcinfo" />
+  </ItemGroup>
+  <ItemGroup>
+    <None Include="Service References\SlaveService\configuration.svcinfo" />
+  </ItemGroup>
+  <ItemGroup>
+    <None Include="Service References\SlaveService\Reference.svcmap">
       <Generator>WCF Proxy Generator</Generator>
       <LastGenOutput>Reference.cs</LastGenOutput>
@@ -224,5 +226,5 @@
   <ItemGroup>
     <None Include="Resources\exit-48.png" />
-    <None Include="Service References\ClientService\System.Drawing1.xsd" />
+    <None Include="Service References\SlaveService\System.Drawing1.xsd" />
   </ItemGroup>
   <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/HeuristicLabHiveSlaveConsoleApplication.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/HeuristicLabHiveSlaveConsoleApplication.cs	(revision 4253)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/HeuristicLabHiveSlaveConsoleApplication.cs	(revision 4253)
@@ -0,0 +1,36 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Windows.Forms;
+using HeuristicLab.PluginInfrastructure;
+
+namespace HeuristicLab.Hive.Slave.Console {
+  [Application("Hive Slave Console", "Console Application for the Hive Slave.")]
+  class HeuristicLabHiveSlaveConsoleApplication : ApplicationBase {
+    public override void Run() {
+      Form mainForm = new HiveSlaveConsole();
+      Application.Run(mainForm);
+    }
+  }
+}
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/HeuristicLabHiveSlaveConsolePlugin.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/HeuristicLabHiveSlaveConsolePlugin.cs	(revision 4253)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/HeuristicLabHiveSlaveConsolePlugin.cs	(revision 4253)
@@ -0,0 +1,35 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Text;
+using System.Windows.Forms;
+using HeuristicLab.PluginInfrastructure;
+
+namespace HeuristicLab.Hive.Slave.Console {
+  [Plugin("HeuristicLab.Hive.Slave.Console", "3.3")]
+  [PluginFile("HeuristicLab.Hive.Slave.Console-3.3.dll", PluginFileType.Assembly)]
+  [PluginDependency("HeuristicLab.Calendar", "3.3")]
+  [PluginDependency("HeuristicLab.Hive.Contracts", "3.3")]
+  public class HeuristicLabHiveSlaveConsolePlugin : PluginBase {
+  }
+}
